Subject: GREENHOUSE FIRST AID ADVICE NEEDED!

From: [email-masked]
Date: 18 Sep 95 10:19:35 CST

Two questions:

1.  I have several dozen geraniums that just don't seem to want to grow, no
matter what I do (keep the top of the soil moist, let it dry out , let them
soak in water trays, place in shade, place in direct sun,etc.......).  
Any suggestions?  If I don't get these on the road to recovery, my boss will
not be a happy camper.

2.  Besides spraying with soap & water solution, what other methods (preferably
the least time-consuming) are there for getting rid of mealy bugs, and keeping
them away from various plants PERMANENTLY??

All the abovementioned takes place in the two greenhouses on our campus.  I am
in far southwest Wisconsin, and the weather is starting to get a bit ~brisk~.

TIA